<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TIGLMutationMessage Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classMutationMessage.html">TIGLMutationMessage</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classMutationMessage.html#a2f310d29543acd44b4642e2bc7e384c3">getDstDev</a>()</td><td class="entry"><a class="el" href="classMutationMessage.html">TIGLMutationMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMutationMessage.html#a8650ccd700d60a94b9ebde4fb1ad37aa">getDstVertex</a>(ID_TYPE *targetVertex)</td><td class="entry"><a class="el" href="classMutationMessage.html">TIGLMutationMessage</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMutationMessage.html#a2531f613fca0307804d1a4bf45e92cf5">getMessageCode</a>()</td><td class="entry"><a class="el" href="classMutationMessage.html">TIGLMutationMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMutationMessage.html#af5e6c1267025dd31a9a1b451773e5c12">getSizeInBytes</a>()</td><td class="entry"><a class="el" href="classMutationMessage.html">TIGLMutationMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMutationMessage.html#a75836599fbe19b77ad02531021b1e6ab">messageBody</a></td><td class="entry"><a class="el" href="classMutationMessage.html">TIGLMutationMessage</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMutationMessage.html#acdce3bb6d07d5b7fe2895c3858137a14">messageCode</a></td><td class="entry"><a class="el" href="classMutationMessage.html">TIGLMutationMessage</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMutationMessage.html#a7523a146cee179e0f116f8e41d1f3c80">otherDevice</a></td><td class="entry"><a class="el" href="classMutationMessage.html">TIGLMutationMessage</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMutationMessage.html#aec21a534f9e4e76e7b11c8cd305e4630">pack</a>(uint8_t *buf)</td><td class="entry"><a class="el" href="classMutationMessage.html">TIGLMutationMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMutationMessage.html#ad8c6290bc3d59488f57f341d04d356d8">prepareAddEdgeMessage</a>(EdgeType *pEdge, ID_TYPE *targetVertex)</td><td class="entry"><a class="el" href="classMutationMessage.html">TIGLMutationMessage</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMutationMessage.html#a8383fd40ae0a2a444b94c9851dbae8d9">prepareAddVertexMessage</a>(CVertex *vertex)</td><td class="entry"><a class="el" href="classMutationMessage.html">TIGLMutationMessage</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMutationMessage.html#a38bab73f34940fac16c6d094576cdaad">prepareEmptyVertexMessage</a>(ID_TYPE *vertexId)</td><td class="entry"><a class="el" href="classMutationMessage.html">TIGLMutationMessage</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMutationMessage.html#ab06823de2c4142ff408754e08f4710d8">prepareRemoveEdgeMessage</a>(EDGE_TYPE *edge, ID_TYPE *targetVertex)</td><td class="entry"><a class="el" href="classMutationMessage.html">TIGLMutationMessage</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMutationMessage.html#a32c9927704e480a550345178a3ba3c90">prepareRemoveEdgeMessage</a>(ID_TYPE *nbrVertex, ID_TYPE *targetVertex)</td><td class="entry"><a class="el" href="classMutationMessage.html">TIGLMutationMessage</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMutationMessage.html#a1b6e1b5ce4c29e252a839bb7d28b2bc5">readAddEdgeMessage</a>(EdgeType *pEdge, ID_TYPE *targetVertex)</td><td class="entry"><a class="el" href="classMutationMessage.html">TIGLMutationMessage</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMutationMessage.html#a85a9603c0995c954654db90b6e3c753d">readAddVertexMessage</a>(CVertex *pVertex)</td><td class="entry"><a class="el" href="classMutationMessage.html">TIGLMutationMessage</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMutationMessage.html#a23a946dbc9eabac6e14e2228150cc116">readEdgeMessage</a>(EDGE_TYPE *edge, ID_TYPE *targetVertex)</td><td class="entry"><a class="el" href="classMutationMessage.html">TIGLMutationMessage</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMutationMessage.html#abbd3fa9e6726c2f833d1713a985affc4">readEmptyVertexMessage</a>(ID_TYPE *vertexId)</td><td class="entry"><a class="el" href="classMutationMessage.html">TIGLMutationMessage</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMutationMessage.html#a588b2459d4dd50217a6451af8802e88d">readRemoveEdgeMessage</a>(ID_TYPE *nbrVertex, ID_TYPE *targetVertex)</td><td class="entry"><a class="el" href="classMutationMessage.html">TIGLMutationMessage</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMutationMessage.html#ad6ecec92a031c4076a0ae9467b3a8edf">readSimpleEdgeMessage</a>(ID_TYPE *nbrVertex, ID_TYPE *targetVertex)</td><td class="entry"><a class="el" href="classMutationMessage.html">TIGLMutationMessage</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMutationMessage.html#aa04ba5fb38fa4df4fdf43b4040b5fc8a">readSimpleVertexMessage</a>(ID_TYPE *id)</td><td class="entry"><a class="el" href="classMutationMessage.html">TIGLMutationMessage</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMutationMessage.html#a4b4b4ba804a27a446972d3513022907a">readVertexMessage</a>(CVertex *vertex)</td><td class="entry"><a class="el" href="classMutationMessage.html">TIGLMutationMessage</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMutationMessage.html#a59c0c868cb14b3705c865ae48fba7999">unpack</a>(uint8_t *buf)</td><td class="entry"><a class="el" href="classMutationMessage.html">TIGLMutationMessage</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMutationMessage.html#a3753e80667cac7b685dc0f7cabd1dbfe">writeEdgeMessage</a>(MUTATION_MESSAGE_CODE code, EdgeType *edge, ID_TYPE *targetVertex)</td><td class="entry"><a class="el" href="classMutationMessage.html">TIGLMutationMessage</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMutationMessage.html#aa9bd1dfc3820f64a6ae1fe36b2ec4e71">writeSimpleEdgeMessage</a>(MUTATION_MESSAGE_CODE code, ID_TYPE *nbrVertex, ID_TYPE *targetVertex)</td><td class="entry"><a class="el" href="classMutationMessage.html">TIGLMutationMessage</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMutationMessage.html#a3b920f713662323833989c5a4b2dc153">writeSimpleVertexMessage</a>(MUTATION_MESSAGE_CODE code, ID_TYPE *id)</td><td class="entry"><a class="el" href="classMutationMessage.html">TIGLMutationMessage</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMutationMessage.html#ab86d9bff2b1b1f4e0e12f83144abeab6">writeVertexMessage</a>(MUTATION_MESSAGE_CODE code, CVertex *vertex)</td><td class="entry"><a class="el" href="classMutationMessage.html">TIGLMutationMessage</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Mar 3 2015 18:17:02 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
